Subject: Re: [bitcoin-dev] Rebroadcast mechanism in Bitcoin P2P network

From: Karl <[email-masked]>
Date: Sun, 12 Dec 2021 08:38:18 -0500

On Sun, Dec 12, 2021, 7:42 AM Aymeric Vitte via bitcoin-dev <
[email-masked]> wrote:

> Indeed, I reiterate that using the Tor network for Bitcoin or whatever
> protocol not related to the Tor Browser (ie browsing and HS) does not make
> sense, for plenty of reasons
>

Please cite this.  It is very hard to believe.

Personally, I have encountered network blocking of bitcoin peers, and Tor
is one way to reconnect with the network when this happens.

Regardless, reasonable rebroadcasting of nonlocal transactions is a
hands-down good thing.  This does not make them anonymous, but it does make
it a little harder to track their origin, and additionally it makes their
transmission more robust.

Every extra measure is a good thing, as everything eventually fails.